Subject: Re: bug#63444: folding mode for Texinfo doesn't work reliably

From: Arash Esbati <[email-masked]>
Date: Mon, 17 Jul 2023 22:39:26 +0200

Arash Esbati <[email-masked]> writes:

> Werner LEMBERG <[email-masked]> writes:
>
>> Given that I have no idea about the internals of AUCTeX I can't help
>> with coding; however, I'm willing to test any new Texinfo
>> functionality.
>
> Given what Ralf said about the experimental nature of folding in Texinfo
> mode, maybe you can add this to your init file and see if works for you
> as expected:
>
> (defun wl/Texinfo-fold-env-macro (&rest _ignore)
>   (save-excursion
>     (if (looking-at-p "@macro")
>         (forward-sexp)
>       (Texinfo-find-env-start)
>       (forward-char)
>       (skip-chars-forward "a-zA-Z"))
>     (skip-chars-forward "^a-zA-Z")
>     (concat "macro " (thing-at-point 'symbol t))))
>
> (setq Texinfo-fold-env-spec-list
>       '((wl/Texinfo-fold-env-macro ("macro"))))

Ping!

Is there anything else we can do about this report?  Otherwise I'd
update the manual and close this report.

Best, Arash